curl --request PATCH \
--url https://api.arize.com/v2/datasets/{dataset_id}/examples \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"examples": [
{
"id": "example_001",
"question": "What is 2 * 2?"
},
{
"id": "example_002",
"question": "What is the square root of 64?",
"answer": "8"
},
{
"id": "example_003",
"question": "If 9x = 36, what is x?",
"topic": "algebra"
}
]
}
'import requests
url = "https://api.arize.com/v2/datasets/{dataset_id}/examples"
payload = { "examples": [
{
"id": "example_001",
"question": "What is 2 * 2?"
},
{
"id": "example_002",
"question": "What is the square root of 64?",
"answer": "8"
},
{
"id": "example_003",
"question": "If 9x = 36, what is x?",
"topic": "algebra"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
examples: [
{id: 'example_001', question: 'What is 2 * 2?'},
{id: 'example_002', question: 'What is the square root of 64?', answer: '8'},
{id: 'example_003', question: 'If 9x = 36, what is x?', topic: 'algebra'}
]
})
};
fetch('https://api.arize.com/v2/datasets/{dataset_id}/examples', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.arize.com/v2/datasets/{dataset_id}/examples",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'examples' => [
[
'id' => 'example_001',
'question' => 'What is 2 * 2?'
],
[
'id' => 'example_002',
'question' => 'What is the square root of 64?',
'answer' => '8'
],
[
'id' => 'example_003',
'question' => 'If 9x = 36, what is x?',
'topic' => 'algebra'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.arize.com/v2/datasets/{dataset_id}/examples"
payload := strings.NewReader("{\n \"examples\": [\n {\n \"id\": \"example_001\",\n \"question\": \"What is 2 * 2?\"\n },\n {\n \"id\": \"example_002\",\n \"question\": \"What is the square root of 64?\",\n \"answer\": \"8\"\n },\n {\n \"id\": \"example_003\",\n \"question\": \"If 9x = 36, what is x?\",\n \"topic\": \"algebra\"\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.arize.com/v2/datasets/{dataset_id}/examples")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"examples\": [\n {\n \"id\": \"example_001\",\n \"question\": \"What is 2 * 2?\"\n },\n {\n \"id\": \"example_002\",\n \"question\": \"What is the square root of 64?\",\n \"answer\": \"8\"\n },\n {\n \"id\": \"example_003\",\n \"question\": \"If 9x = 36, what is x?\",\n \"topic\": \"algebra\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.arize.com/v2/datasets/{dataset_id}/examples")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"examples\": [\n {\n \"id\": \"example_001\",\n \"question\": \"What is 2 * 2?\"\n },\n {\n \"id\": \"example_002\",\n \"question\": \"What is the square root of 64?\",\n \"answer\": \"8\"\n },\n {\n \"id\": \"example_003\",\n \"question\": \"If 9x = 36, what is x?\",\n \"topic\": \"algebra\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "RGF0YXNldDoxOmFCY0Q=",
"name": "Sample Dataset",
"space_id": "U3BhY2U6MTphQmNE",
"created_at": "2024-01-01T12:00:00Z",
"updated_at": "2024-01-02T12:00:00Z",
"dataset_version_id": "RGF0YXNldFZlcnNpb246MTphQmNE",
"example_ids": [
"550e8400-e29b-41d4-a716-446655440000",
"6ba7b810-9dad-11d1-80b4-00c04fd430c8"
]
}{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}{
"status": 403,
"title": "Access forbidden",
"detail": "You do not have permission to access this resource.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#access-forbidden"
}{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}{
"status": 409,
"title": "Resource conflict",
"detail": "A resource with the given identifier already exists.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-conflict"
}{
"status": 422,
"title": "Unprocessable Entity",
"detail": "One or more fields failed validation.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#unprocessable-entity"
}{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}Update existing examples in a dataset
Updates existing dataset examples by matching their id field.
an example ID does not match any existing example in the dataset version, it will be ignored. In other words, only examples with IDs that already exist will be updated. To add new examples, use the Insert Dataset Examples endpoint.
Adding columns that do not exist in the dataset schema is allowed, but removing existing columns is not.
Optionally, the update can create a new version of the dataset. In this case, the outcome of the update will be reflected only in the new version, while the previous version remains unchanged. If a new version is not created, the updates will be applied directly (in place) to the specified version.
Payload Requirements
- Each item in
examples[]may contain any user-defined fields. - Each item in
examples[]must include theidfield to identify the example to update. - Do not include system-managed fields on input:
created_at,updated_at. Requests that contain these fields in any example will be rejected. - Each example must contain at least one property (i.e.,
{}is invalid).
Valid example (create)
{
"examples": [
{
"id": "ex_001",
"question": "What is 2+2?",
"answer": "4",
"topic": "math"
}
]
}
Invalid example (‘id’ missing for update)
{
"examples": [
{
"input": "Hello"
}
]
}
curl --request PATCH \
--url https://api.arize.com/v2/datasets/{dataset_id}/examples \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"examples": [
{
"id": "example_001",
"question": "What is 2 * 2?"
},
{
"id": "example_002",
"question": "What is the square root of 64?",
"answer": "8"
},
{
"id": "example_003",
"question": "If 9x = 36, what is x?",
"topic": "algebra"
}
]
}
'import requests
url = "https://api.arize.com/v2/datasets/{dataset_id}/examples"
payload = { "examples": [
{
"id": "example_001",
"question": "What is 2 * 2?"
},
{
"id": "example_002",
"question": "What is the square root of 64?",
"answer": "8"
},
{
"id": "example_003",
"question": "If 9x = 36, what is x?",
"topic": "algebra"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
examples: [
{id: 'example_001', question: 'What is 2 * 2?'},
{id: 'example_002', question: 'What is the square root of 64?', answer: '8'},
{id: 'example_003', question: 'If 9x = 36, what is x?', topic: 'algebra'}
]
})
};
fetch('https://api.arize.com/v2/datasets/{dataset_id}/examples', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.arize.com/v2/datasets/{dataset_id}/examples",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'examples' => [
[
'id' => 'example_001',
'question' => 'What is 2 * 2?'
],
[
'id' => 'example_002',
'question' => 'What is the square root of 64?',
'answer' => '8'
],
[
'id' => 'example_003',
'question' => 'If 9x = 36, what is x?',
'topic' => 'algebra'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.arize.com/v2/datasets/{dataset_id}/examples"
payload := strings.NewReader("{\n \"examples\": [\n {\n \"id\": \"example_001\",\n \"question\": \"What is 2 * 2?\"\n },\n {\n \"id\": \"example_002\",\n \"question\": \"What is the square root of 64?\",\n \"answer\": \"8\"\n },\n {\n \"id\": \"example_003\",\n \"question\": \"If 9x = 36, what is x?\",\n \"topic\": \"algebra\"\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.arize.com/v2/datasets/{dataset_id}/examples")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"examples\": [\n {\n \"id\": \"example_001\",\n \"question\": \"What is 2 * 2?\"\n },\n {\n \"id\": \"example_002\",\n \"question\": \"What is the square root of 64?\",\n \"answer\": \"8\"\n },\n {\n \"id\": \"example_003\",\n \"question\": \"If 9x = 36, what is x?\",\n \"topic\": \"algebra\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.arize.com/v2/datasets/{dataset_id}/examples")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"examples\": [\n {\n \"id\": \"example_001\",\n \"question\": \"What is 2 * 2?\"\n },\n {\n \"id\": \"example_002\",\n \"question\": \"What is the square root of 64?\",\n \"answer\": \"8\"\n },\n {\n \"id\": \"example_003\",\n \"question\": \"If 9x = 36, what is x?\",\n \"topic\": \"algebra\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "RGF0YXNldDoxOmFCY0Q=",
"name": "Sample Dataset",
"space_id": "U3BhY2U6MTphQmNE",
"created_at": "2024-01-01T12:00:00Z",
"updated_at": "2024-01-02T12:00:00Z",
"dataset_version_id": "RGF0YXNldFZlcnNpb246MTphQmNE",
"example_ids": [
"550e8400-e29b-41d4-a716-446655440000",
"6ba7b810-9dad-11d1-80b4-00c04fd430c8"
]
}{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}{
"status": 403,
"title": "Access forbidden",
"detail": "You do not have permission to access this resource.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#access-forbidden"
}{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}{
"status": 409,
"title": "Resource conflict",
"detail": "A resource with the given identifier already exists.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-conflict"
}{
"status": 422,
"title": "Unprocessable Entity",
"detail": "One or more fields failed validation.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#unprocessable-entity"
}{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}Authorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Service accounts may instead present an access token issued by an external identity provider (Microsoft Entra ID) when the account admin has configured that provider. Send it in the same header: Authorization: Bearer <access-token>.
Path Parameters
Query Parameters
Body
Body containing dataset examples for update operation by ID matching
Examples to update by ID matching, optionally into a new version.
Response
Examples successfully updated in the dataset.
A dataset with the IDs of examples that were inserted or updated. Includes the version the examples were written to and the list of affected example IDs.
Was this page helpful?